Package org.apache.tomcat

## Enum JarScanType

- java.lang.Object
- - java.lang.Enum<JarScanType>
  - - org.apache.tomcat.JarScanType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<JarScanType>`

    public enum JarScanType
    extends java.lang.Enum<JarScanType>

### Enum Constant Summary

Enum Constants
`OTHER`
`PLUGGABILITY`
`TLD`

### Method Summary

All Methods Static Methods Concrete Methods
`static JarScanType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JarScanType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TLD

    public static final JarScanType TLD

#### PLUGGABILITY

    public static final JarScanType PLUGGABILITY

#### OTHER

    public static final JarScanType OTHER

### Method Detail

#### values

    public static JarScanType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JarScanType c : JarScanType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JarScanType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null